Bug 1122412 - SELinux is preventing /usr/bin/df from 'search' accesses on the directory .
Summary: SELinux is preventing /usr/bin/df from 'search' accesses on the directory .
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a6eaf949a1bf3092baee7127289...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 08:00 UTC by jaroslaw.herod
Modified: 2014-11-10 06:21 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.12.1-193.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-10 06:21:39 UTC


Attachments (Terms of Use)

Description jaroslaw.herod 2014-07-23 08:00:54 UTC
Description of problem:
problem happen after delete of detabase in couchdb
SELinux is preventing /usr/bin/df from 'search' accesses on the directory .

*****  Plugin catchall (100. confidence) suggests   **************************

If aby df powinno mieć domyślnie search dostęp do  directory.
Then proszę to zgłosić jako błąd.
Można utworzyć lokalny moduł polityki, aby umożliwić ten dostęp.
Do
można tymczasowo zezwolić na ten dostęp wykonując polecenia:
# grep df /var/log/audit/audit.log | audit2allow -M mojapolityka
# semodule -i mojapolityka.pp

Additional Information:
Source Context                system_u:system_r:rabbitmq_beam_t:s0
Target Context                system_u:object_r:var_lib_nfs_t:s0
Target Objects                 [ dir ]
Source                        df
Source Path                   /usr/bin/df
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           coreutils-8.21-21.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-177.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.15.6-200.fc20.x86_64 #1 SMP Fri
                              Jul 18 02:36:27 UTC 2014 x86_64 x86_64
Alert Count                   11
First Seen                    2014-07-07 02:09:15 CEST
Last Seen                     2014-07-23 09:39:53 CEST
Local ID                      d9c416af-6be8-4bc7-83b7-c645d074ab7c

Raw Audit Messages
type=AVC msg=audit(1406101193.290:339): avc:  denied  { search } for  pid=1353 comm="df" name="nfs" dev="dm-2" ino=131044 scontext=system_u:system_r:rabbitmq_beam_t:s0 tcontext=system_u:object_r:var_lib_nfs_t:s0 tclass=dir


type=SYSCALL msg=audit(1406101193.290:339): arch=x86_64 syscall=stat success=yes exit=0 a0=13bcab0 a1=7fff505170f0 a2=7fff505170f0 a3=7fff50516e40 items=0 ppid=1352 pid=1353 auid=4294967295 uid=990 gid=987 euid=990 suid=990 fsuid=990 egid=987 sgid=987 fsgid=987 tty=(none) ses=4294967295 comm=df exe=/usr/bin/df subj=system_u:system_r:rabbitmq_beam_t:s0 key=(null)

Hash: df,rabbitmq_beam_t,var_lib_nfs_t,dir,search

Additional info:
reporter:       libreport-2.2.3
hashmarkername: setroubleshoot
kernel:         3.15.6-200.fc20.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2014-10-22 12:37:03 UTC
commit d120a60b6dc5946d9f17cd1f232f80c3536971ad
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Wed Oct 22 14:35:53 2014 +0200

    Allow rabbitmq to read nfs state data. BZ(1122412)

Comment 2 Fedora Update System 2014-11-03 16:41:48 UTC
selinux-policy-3.12.1-193.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-193.fc20

Comment 3 Fedora Update System 2014-11-05 03:54:07 UTC
Package selinux-policy-3.12.1-193.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-193.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14228/selinux-policy-3.12.1-193.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-11-10 06:21:39 UTC
selinux-policy-3.12.1-193.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.